**Source URL:** https://general.veevavault.dev/vault-api/api-reference/26.1/vault-objects/object-attachment-fields/download-attachment-field-files-export.md

# Download Attachment Field Files Export



Download the export file parts generated by [Export Attachment Field Files](/vault-api/api-reference/26.1/vault-objects/object-attachment-fields/export-attachment-field-files).

<Endpoint path="/api/{version}/vobjects/{object_name}/attachment_fields/files/{file_part_name}" method="GET"></Endpoint>

## Headers {#headers}

| Name | Description |
| --- | --- |
| `Accept` | `application/json` (default) or `application/xml` |

## URI Path Parameters {#uri-path-parameters}

<FieldTable>
| Name | Description |
| --- | --- |
| `{object_name}` | The `name` of the object. |
| `{file_part_name}` | The `name` of the file part to download. Obtain this from the [Retrieve Attachment Field Files Export Results](/vault-api/api-reference/26.1/vault-objects/object-attachment-fields/retrieve-attachment-field-files-export-results) response. The name should have the following format: `{user_id}-{job_id}-{object_name}.{file_part}`, where `user_id` is the ID of the user that requested the export. For example, `2419535-1069501-product__v.001`. |
</FieldTable>

## Request {#request}

<CodeExample title="">
```
curl -X POST -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v25.3/vobjects/product__v/attachment_fields/files/2419535-1069501-product__v.001

```
</CodeExample>

## Response {#response}

<CodeExample title="">
```
Content-Type: application/octet-stream;charset=UTF-8
Content-Disposition:attachment;filename="2419535-1069501-product__v.001"

```
</CodeExample>

## Response Details {#response-details}

On `SUCCESS`, Vault downloads the *Attachment* field export file part. The downloaded file name has the following format: `{user_id}-{job_id}-{object_name}.tar.gz.{file_part}`, where `user_id` is the ID of the user that requested the export. If the export file has only one part, you may wish to rename this without the `.{file_part}` extension.



---

**Previous:** [Retrieve Attachment Field Files Export Results](/vault-api/api-reference/26.1/vault-objects/object-attachment-fields/retrieve-attachment-field-files-export-results)  
**Next:** [Update Attachment Field File](/vault-api/api-reference/26.1/vault-objects/object-attachment-fields/update-attachment-field-file)